<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Box
 * @since Catch Box Pro 3.0
 */
 

if ( ! function_exists( 'catchbox_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own catchbox_menuitem(), and that function will be used instead.
 *
 * @since Catch Box Pro 3.0
 */
function catchbox_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // catchbox_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item', 'catchbox_menuitem', 0 );


if ( ! function_exists( 'catchbox_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catchbox_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Catch Box Pro 2.0
 */
function catchbox_qtranslate_invalidcache() {
	delete_transient( 'catchbox_sliders' );
	delete_transient( 'catchbox_page_sliders' );
	delete_transient( 'catchbox_category_sliders' );
	delete_transient( 'catchbox_imagesliders' );
	delete_transient( 'catchbox_footercode' );
	delete_transient( 'catchbox_footer_content' );
	delete_transient( 'catchbox_site_verification' );
} // catchbox_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'catchbox_qtranslate_invalidcache' );